searchData={"items":[{"type":"module","doc":"`CucumberGherkin` allows you to parse Gherkin files to pickles (or tokens). These pickles can be used in a cucumber implementation.\n\nThe CucumberMessages library is used in almost every step of building the pickles and envelopes.\n\nTestdata is used from the Cucumber repository.","title":"CucumberGherkin","ref":"CucumberGherkin.html"},{"type":"function","doc":"Parse a single feature file and return a list of envelopes. You can provide the following opts in a list:\n\n* :no_source\n* :no_ast\n* :no_pickles","title":"CucumberGherkin.parse_path/2","ref":"CucumberGherkin.html#parse_path/2"},{"type":"function","doc":"iex> CucumberGherkin.parse_path(\"testdata/good/background.feature\", [:no_ast, :no_pickles])\n    [\n      %CucumberMessages.Envelope{\n        __uf__: [],\n        message: {:source,\n          %CucumberMessages.Source{\n            # ...\n        }}\n      }\n    ]","title":"Examples - CucumberGherkin.parse_path/2","ref":"CucumberGherkin.html#parse_path/2-examples"},{"type":"function","doc":"Returns a list of envelopes. See `parse_path/2` for more information.","title":"CucumberGherkin.parse_paths/2","ref":"CucumberGherkin.html#parse_paths/2"},{"type":"function","doc":"Rely on CucumberMessages printer to print the envelopes to the specified format. Currently only `:ndjson` is supported.\n\nIt is likely that Elixir projects won't directly use this as they can use the unformatted protobuf message version in Cucumber as well.","title":"CucumberGherkin.print_messages/2","ref":"CucumberGherkin.html#print_messages/2"},{"type":"function","doc":"iex> CucumberGherkin.parse_path(\"testdata/good/background.feature\", []) |> CucumberGherkin.print_messages(:ndjson) |> IO.puts\n    {\"source\":{\"data\": .......... }}\n    {\"gherkinDocument\":{\"feature\": ........... }}\n    {\"pickle\":{ .......... }}\n    {\"pickle\":{ .......... }}","title":"Examples - CucumberGherkin.print_messages/2","ref":"CucumberGherkin.html#print_messages/2-examples"},{"type":"function","doc":"Tokenizes a feature file. Normally you should not need this.","title":"CucumberGherkin.tokenize/1","ref":"CucumberGherkin.html#tokenize/1"},{"type":"module","doc":"","title":"CucumberGherkin.Line","ref":"CucumberGherkin.Line.html"},{"type":"module","doc":"","title":"CucumberGherkin.ParserContext","ref":"CucumberGherkin.ParserContext.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}